## org.eclipse.datatools.modelbase.sql.expressions
Interface ValueExpression

All Known Subinterfaces:
  QueryValueExpression, ValueExpressionAtomic, ValueExpressionCase, ValueExpressionCaseSearch, ValueExpressionCaseSimple, ValueExpressionCast, ValueExpressionColumn, ValueExpressionCombined, ValueExpressionDefault, ValueExpressionDefaultValue, ValueExpressionFunction, ValueExpressionLabeledDuration, ValueExpressionNested, ValueExpressionNullValue, ValueExpressionScalarSelect, ValueExpressionSimple, ValueExpressionVariable, XMLAggregateFunction, XMLAttributeDeclarationItem, XMLQueryArgumentItem, XMLSerializeFunction, XMLSerializeFunctionTarget, XMLTableColumnDefinitionDefault, XMLValueExpressionCast, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionCommentContent, XMLValueFunctionConcat, XMLValueFunctionConcatContentItem, XMLValueFunctionDocument, XMLValueFunctionDocumentContent, XMLValueFunctionElement, XMLValueFunctionElementContentItem, XMLValueFunctionForest, XMLValueFunctionForestContentItem, XMLValueFunctionParse, XMLValueFunctionParseContent, XMLValueFunctionPI, XMLValueFunctionPIContent, XMLValueFunctionQuery, XMLValueFunctionText, XMLValueFunctionTextContent, XMLValueFunctionValidate, XMLValueFunctionValidateContent

All Known Implementing Classes:
  QueryValueExpressionImpl, ValueExpressionAtomicImpl, ValueExpressionCaseImpl, ValueExpressionCaseSearchImpl, ValueExpressionCaseSimpleImpl, ValueExpressionCastImpl, ValueExpressionColumnImpl, ValueExpressionCombinedImpl, ValueExpressionDefaultImpl, ValueExpressionDefaultValueImpl, ValueExpressionFunctionImpl, ValueExpressionLabeledDurationImpl, ValueExpressionNestedImpl, ValueExpressionNullValueImpl, ValueExpressionScalarSelectImpl, ValueExpressionSimpleImpl, ValueExpressionVariableImpl, XMLAggregateFunctionImpl, XMLAttributeDeclarationItemImpl, XMLQueryArgumentItemImpl, XMLSerializeFunctionImpl, XMLSerializeFunctionTargetImpl, XMLTableColumnDefinitionDefaultImpl, XMLValueExpressionCastImpl, XMLValueFunctionCommentContentImpl, XMLValueFunctionCommentImpl, XMLValueFunctionConcatContentItemImpl, XMLValueFunctionConcatImpl, XMLValueFunctionDocumentContentImpl, XMLValueFunctionDocumentImpl, XMLValueFunctionElementContentItemImpl, XMLValueFunctionElementImpl, XMLValueFunctionForestContentItemImpl, XMLValueFunctionForestImpl, XMLValueFunctionImpl, XMLValueFunctionParseContentImpl, XMLValueFunctionParseImpl, XMLValueFunctionPIContentImpl, XMLValueFunctionPIImpl, XMLValueFunctionQueryImpl, XMLValueFunctionTextContentImpl, XMLValueFunctionTextImpl, XMLValueFunctionValidateContentImpl, XMLValueFunctionValidateImpl

public interface ValueExpression

A representation of the model object 'Value Expression'. 4.14.5 Base columns and generated columns A column of a base table is either a base column or a generated column. A base column is one that is not a generated column. A generated column is one whose values are determined by evaluation of a generation expression, a <value expression> whose declared type is by implication that of the column. A generation expression can reference base columns of the base table to which it belongs but cannot otherwise access SQLdata. Thus, the value of the field corresponding to a generated column in row R is determined by the values of zero or more other fields of R.

See Also:
  `SQLExpressionsPackage.getValueExpression()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Method Detail

### getSQL

    public java.lang.String getSQL()

### setSQL

    public void setSQL(java.lang.String sqlText)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.